Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235694 - Review Request: s3270 - Scripted 3270 Emulator
Summary: Review Request: s3270 - Scripted 3270 Emulator
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-04-09 17:10 UTC by Bill Peck
Modified: 2009-07-17 19:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-07 22:33:17 UTC


Attachments (Terms of Use)

Description Bill Peck 2007-04-09 17:10:16 UTC
Spec URL: http://people.redhat.com/bpeck/s3270/s3270.spec
SRPM URL: http://people.redhat.com/bpeck/s3270/s3270-3.3.5-1.fc7.src.rpm
Description: Complete IBM 3278/3279 emulation, TN3270E support, structured
fields, color xterm emulation, highly configurable

Comment 1 Jarod Wilson 2007-05-08 21:26:01 UTC
Initial pass:

1) please use spaces instead of tabs

2) URL is wrong, should be http://sourceforge.net/projects/x3270

3) Source: is wrong, should be what's currently in URL

4) The Requires: on x3270 looks bad to me. Seems there ought to be a minimum
required version as well, since I'm guessing x3270 1.0 won't actually work. The
Reqs: x3270 <= %{version} is quite fragile, in that if the x3270 maintainer
updates their package to the latest upstream x3270 3.3.5p6 and maintains their
current versioning scheme, the deps of s3270 won't be satisfiable, as 3.3.5p6 is
rpm-newer than 3.3.5, which is what %{version} currently gives.

5) the specified buildroot doesn't meet minimum requirements:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

6) the %description doesn't match upstream's latest. I'd suggest:

x3270 is a suite of 3270 terminal emulation tools. s3270 is a
scripting tool for writing screen-scraping applications.
Includes IND$FILE support, DBCS, and more.

7) The install line for the s3270 binary uses -s, which strips the binary. Need
to not do that so the binary can be stripped by the rpmbuild process and proper
debuginfo packages built

8) There's actually make install and make install-man targets in the Makefile,
which appear to have proper $DESTDIR support, I suggest investigating that
instead of the numerous manual install calls. Seems there are a few bits more
that make install installs also.

9) %defattr(-,root,root,-) instead of just %defattr(-,root,root)

Comment 2 Jarod Wilson 2007-05-08 21:29:00 UTC
For the Requires: bit, I'd actually suggest Requires: x3270 = %{version} and
kick the x3270 maintainer to update to the latest and add a Provides: x3270 =
%{major_version} where major_version is bit without the pX (3.3.5 in this case).

Comment 3 Jarod Wilson 2007-07-16 19:47:11 UTC
Going through and checking up on all my bugs... Any progress to report on this one?

Comment 4 Jarod Wilson 2008-11-07 22:33:17 UTC
Just gonna kill this off for now.


Note You need to log in before you can comment on or make changes to this bug.